-- migrate:up
CREATE TABLE orders_offline (
    id INT AUTO_INCREMENT PRIMARY KEY,
    order_sn VARCHAR(100) NOT NULL,
    sales_man VARCHAR(100) NOT NULL,
    customer_name VARCHAR(100) NOT NULL,
    address TEXT NOT NULL,
    phone VARCHAR(20) NOT NULL,
    kurir VARCHAR(100) NOT NULL,
    batas_kirim DATE NOT NULL,
    approve_by VARCHAR(100) DEFAULT NULL,
    ongkos_kirim DECIMAL(10,2) DEFAULT 0.00,
    status_pembayaran ENUM('Pending', 'Lunas', 'DP') DEFAULT 'Pending',
    type_pembayaran VARCHAR(100) DEFAULT NULL,
    warehouse_id INT NOT NULL,
    is_stok_checked INT DEFAULT NULL,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);



-- migrate:down
DROP TABLE IF EXISTS orders_offline;
